> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 图像翻译

> 将图像中的文字翻译成另一种语言，并返回新图像。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

图像翻译会识别一张图像中的文字并进行翻译，然后返回一张在原位置替换为译文的新图像。适用于商品图、海报、截图和营销素材。

## 模型

* **poyo-ai/image-translator** — 翻译一张图像中的文字

## 必填参数

* `image_urls` (array of strings)：只能传一个图像 URL。支持 JPEG、PNG、GIF、WebP 或 BMP，最大 50 MB。
* `target_language` (string)：目标语言，例如 `en`、`zh`、`ja`、`ko`、`fr`、`de`、`es`、`pt` 或 `ru`。

## 可选参数

* `source_language` (string)：图像中文字的语言。默认 `auto`，即自动检测语言。

## 输出

任务完成后，`files` 中返回一张译后图像，`file_type: image`。

## 示例

* **将图像翻译成日语** — 设置 `image_urls`、`source_language`、`target_language`。

## 注意事项

* 每个任务只接受一张图像。
* 图像 URL 必须可公开访问。PoYo 在提交前会检查该 URL，并拒绝无法访问、类型不受支持或超过 50 MB 的文件。


## OpenAPI

````yaml zh/api-manual/tools-series/image-translator.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: 图片翻译
  description: 将图片中的文字翻译成另一种语言。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      summary: 提交图片翻译任务
      operationId: submit_image_translator
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              basic:
                summary: 将图片翻译为日语
                value:
                  model: poyo-ai/image-translator
                  input:
                    image_urls:
                      - https://example.com/poster.png
                    source_language: auto
                    target_language: ja
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      additionalProperties: false
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - poyo-ai/image-translator
          description: 公开的模型标识。
        callback_url:
          type: string
          format: uri
          description: 可选的 Webhook URL，用于接收任务完成或失败通知。
        input:
          type: object
          additionalProperties: false
          required:
            - image_urls
            - target_language
          properties:
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: >-
                仅限一张待翻译图片。支持 JPEG、PNG、GIF、WebP 或 BMP，最大 50 MB。必须是可公开访问的 HTTP 或
                HTTPS URL。
            source_language:
              type: string
              default: auto
              description: >-
                图片中文字的语言。使用 `auto`
                自动检测。常用值：`auto`、`en`、`zh`、`ja`、`ko`、`fr`、`de`、`es`、`pt`、`ru`。
            target_language:
              type: string
              description: 目标翻译语言。常用值：`en`、`zh`、`ja`、`ko`、`fr`、`de`、`es`、`pt`、`ru`。
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1793176000-example
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2026-10-28T10:30:00'
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: validation_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.